package com.ss.android.ugc.aweme.live.livehostimpl;

import X.AnonymousClass9LK;
import X.C24208cV;
import X.C403195y;
import android.text.TextUtils;
import com.bytedance.android.live.base.service.IHostMonitor;
import com.bytedance.covode.number.Covode;
import org.json.JSONObject;

public class LiveHostMonitor implements IHostMonitor {
    static {
        Covode.recordClassIndex(91220);
    }

    public void onInit() {
    }

    public final void LIZ(JSONObject jSONObject) {
        try {
            long optLong = jSONObject.optLong("download_size_delta", -1);
            String optString = jSONObject.optString("live_stream_session_id", "");
            if (optLong > 0 && !TextUtils.isEmpty(optString)) {
                AnonymousClass9LK.LIZ(optLong, optString, "live", "");
            }
        } catch (Exception unused) {
        }
    }

    public final void LIZ(String str, JSONObject jSONObject) {
        C403195y.LIZ(str, jSONObject);
    }

    public final void LIZ(Throwable th, String str) {
        C24208cV.LIZ(th, str);
    }

    public final void LIZ(String str, int i, JSONObject jSONObject) {
        C403195y.LIZ(str, i, jSONObject);
    }

    public final void LIZ(String str, String str2, float f) {
        C403195y.LIZIZ(str, str2, f);
    }

    public final void LIZ(String str, JSONObject jSONObject, JSONObject jSONObject2) {
        C403195y.LIZ(str, jSONObject, jSONObject2);
    }

    public final void LIZ(String str, int i, JSONObject jSONObject, JSONObject jSONObject2) {
        C403195y.LIZ(str, i, jSONObject, jSONObject2);
    }

    public final void LIZ(String str, JSONObject jSONObject, JSONObject jSONObject2, JSONObject jSONObject3) {
        AnonymousClass9LK.LIZ(str, jSONObject, jSONObject2, jSONObject3);
    }
}
